SDL_SW_YUVTexture Struct Reference

`#include <SDL_yuv_sw_c.h>`

Collaboration diagram for SDL_SW_YUVTexture:
[legend]

## Data Fields

Uint32 | format
Uint32 | target_format
int | w
int | h
Uint8 * | pixels
int * | colortab
Uint32 * | rgb_2_pix
void(* | Display1X )(int *colortab, Uint32 *rgb_2_pix, unsigned char *lum, unsigned char *cr, unsigned char *cb, unsigned char *out, int rows, int cols, int mod)
void(* | Display2X )(int *colortab, Uint32 *rgb_2_pix, unsigned char *lum, unsigned char *cr, unsigned char *cb, unsigned char *out, int rows, int cols, int mod)
Uint16 | pitches [3]
Uint8 * | planes [3]
SDL_Surface * | stretch
SDL_Surface * | display

## Detailed Description

Definition at line 27 of file SDL_yuv_sw_c.h.

## Field Documentation

int* SDL_SW_YUVTexture::colortab

Definition at line 33 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), SDL_SW_CreateYUVTexture(), and SDL_SW_DestroyYUVTexture().

SDL_Surface* SDL_SW_YUVTexture::display

Definition at line 50 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), SDL_SW_DestroyYUVTexture(), and SDL_SW_SetupYUVDisplay().

void(* SDL_SW_YUVTexture::Display1X) (int *colortab, Uint32 *rgb_2_pix, unsigned char *lum, unsigned char *cr, unsigned char *cb, unsigned char *out, int rows, int cols, int mod)

Definition at line 35 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), and SDL_SW_SetupYUVDisplay().

void(* SDL_SW_YUVTexture::Display2X) (int *colortab, Uint32 *rgb_2_pix, unsigned char *lum, unsigned char *cr, unsigned char *cb, unsigned char *out, int rows, int cols, int mod)

Definition at line 39 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), and SDL_SW_SetupYUVDisplay().

Uint32 SDL_SW_YUVTexture::format

Definition at line 29 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), SDL_SW_CreateYUVTexture(), SDL_SW_LockYUVTexture(), SDL_SW_SetupYUVDisplay(), SDL_SW_UpdateYUVTexture(), and SDL_SW_UpdateYUVTexturePlanar().

int SDL_SW_YUVTexture::h

Definition at line 31 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), SDL_SW_CreateYUVTexture(), SDL_SW_LockYUVTexture(), SDL_SW_UpdateYUVTexture(), and SDL_SW_UpdateYUVTexturePlanar().

Uint16 SDL_SW_YUVTexture::pitches[3]

Definition at line 45 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CreateYUVTexture(), SDL_SW_LockYUVTexture(), SDL_SW_QueryYUVTexturePixels(), and SDL_SW_UpdateYUVTexture().

Uint8* SDL_SW_YUVTexture::pixels

Definition at line 32 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CreateYUVTexture(), SDL_SW_DestroyYUVTexture(), SDL_SW_UpdateYUVTexture(), and SDL_SW_UpdateYUVTexturePlanar().

Uint8* SDL_SW_YUVTexture::planes[3]

Definition at line 46 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), SDL_SW_CreateYUVTexture(), SDL_SW_LockYUVTexture(), SDL_SW_QueryYUVTexturePixels(), and SDL_SW_UpdateYUVTexture().

Uint32* SDL_SW_YUVTexture::rgb_2_pix

Definition at line 34 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), SDL_SW_CreateYUVTexture(), SDL_SW_DestroyYUVTexture(), and SDL_SW_SetupYUVDisplay().

SDL_Surface* SDL_SW_YUVTexture::stretch

Definition at line 49 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), and SDL_SW_DestroyYUVTexture().

Uint32 SDL_SW_YUVTexture::target_format

Definition at line 30 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), SDL_SW_CreateYUVTexture(), and SDL_SW_SetupYUVDisplay().

int SDL_SW_YUVTexture::w

Definition at line 31 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), SDL_SW_CreateYUVTexture(), SDL_SW_LockYUVTexture(), SDL_SW_SetupYUVDisplay(), SDL_SW_UpdateYUVTexture(), and SDL_SW_UpdateYUVTexturePlanar().

The documentation for this struct was generated from the following file:

- src/render/SDL_yuv_sw_c.h